CreatorCollector (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.impl

## Class CreatorCollector

- java.lang.Object
- - org.codehaus.jackson.map.deser.impl.CreatorCollector

-     public class CreatorCollector
      extends Object

  Container class for storing information on creators (based on annotations, visibility), to be able to build actual instantiator later on.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AnnotatedWithParams` | `_booleanCreator`
    `protected AnnotatedConstructor` | `_defaultConstructor`
    `protected AnnotatedWithParams` | `_delegateCreator`
    `protected AnnotatedWithParams` | `_doubleCreator`
    `protected AnnotatedWithParams` | `_intCreator`
    `protected AnnotatedWithParams` | `_longCreator`
    `protected CreatorProperty[]` | `_propertyBasedArgs`
    `protected AnnotatedWithParams` | `_propertyBasedCreator`
    `protected AnnotatedWithParams` | `_stringCreator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreatorCollector(BasicBeanDescription beanDesc, boolean canFixAccess)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBooleanCreator(AnnotatedWithParams creator)`
    `void` | `addDelegatingCreator(AnnotatedWithParams creator)`
    `void` | `addDoubleCreator(AnnotatedWithParams creator)`
    `void` | `addIntCreator(AnnotatedWithParams creator)`
    `void` | `addLongCreator(AnnotatedWithParams creator)`
    `void` | `addPropertyCreator(AnnotatedWithParams creator, CreatorProperty[] properties)`
    `void` | `addStringCreator(AnnotatedWithParams creator)`
    `ValueInstantiator` | `constructValueInstantiator(DeserializationConfig config)`
    `void` | `setDefaultConstructor(AnnotatedConstructor ctor)`
    `protected AnnotatedWithParams` | `verifyNonDup(AnnotatedWithParams newOne, AnnotatedWithParams oldOne, String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _defaultConstructor

          protected AnnotatedConstructor _defaultConstructor

    - #### _stringCreator

          protected AnnotatedWithParams _stringCreator

    - #### _intCreator

          protected AnnotatedWithParams _intCreator

    - #### _longCreator

          protected AnnotatedWithParams _longCreator

    - #### _doubleCreator

          protected AnnotatedWithParams _doubleCreator

    - #### _booleanCreator

          protected AnnotatedWithParams _booleanCreator

    - #### _delegateCreator

          protected AnnotatedWithParams _delegateCreator

    - #### _propertyBasedCreator

          protected AnnotatedWithParams _propertyBasedCreator

    - #### _propertyBasedArgs

          protected CreatorProperty[] _propertyBasedArgs

  - ### Constructor Detail

    - #### CreatorCollector

          public CreatorCollector(BasicBeanDescription beanDesc,
                          boolean canFixAccess)

  - ### Method Detail

    - #### constructValueInstantiator

          public ValueInstantiator constructValueInstantiator(DeserializationConfig config)

      Since:
        1.9.0

    - #### setDefaultConstructor

          public void setDefaultConstructor(AnnotatedConstructor ctor)

    - #### addStringCreator

          public void addStringCreator(AnnotatedWithParams creator)

    - #### addIntCreator

          public void addIntCreator(AnnotatedWithParams creator)

    - #### addLongCreator

          public void addLongCreator(AnnotatedWithParams creator)

    - #### addDoubleCreator

          public void addDoubleCreator(AnnotatedWithParams creator)

    - #### addBooleanCreator

          public void addBooleanCreator(AnnotatedWithParams creator)

    - #### addDelegatingCreator

          public void addDelegatingCreator(AnnotatedWithParams creator)

    - #### addPropertyCreator

          public void addPropertyCreator(AnnotatedWithParams creator,
                                CreatorProperty[] properties)

    - #### verifyNonDup

          protected AnnotatedWithParams verifyNonDup(AnnotatedWithParams newOne,
                                         AnnotatedWithParams oldOne,
                                         String type)